package com.liquidnet.service.goblin.service;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.vo.GoblinAppOrderDetailsVo;
import com.liquidnet.service.goblin.dto.vo.GoblinAppOrderListVo;
import com.liquidnet.service.goblin.dto.vo.GoblinBackOrderVo;
import com.liquidnet.service.goblin.dto.vo.GoblinStoreOrderVo;
import com.liquidnet.service.goblin.param.GoblinAppOrderRefundParam;

import java.util.List;

public interface IGoblinOrderAppService {

    ResponseDto<List<GoblinAppOrderListVo>> orderList(int page);

    ResponseDto<List<GoblinAppOrderListVo>> orderListByMaster(String orderMasterCode);

    ResponseDto<GoblinAppOrderDetailsVo> orderDetails(String orderId,String uid);

    ResponseDto<Boolean> applyRefund(GoblinAppOrderRefundParam param);

    ResponseDto<List<GoblinBackOrderVo>> refundDetails(String orderId);
}
